summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Leo C2018-09-10 12:19:35 +0200
committer David Spencer2018-09-10 12:19:35 +0200
commite4e612d0e7655a217c211d2ad5ebb015fae38b0d (patch)
tree8aac36a1068be7d9a8079f782be1a16dbfa44da1 /desktop
parent2435671e8e1558c185f10fcd2b5438e71869a605 (diff)
downloadslackbuilds-e4e612d0e7655a217c211d2ad5ebb015fae38b0d.tar.gz
desktop/vertex-theme: Added (GTK3 & 2, Gnome-Shell, Cinnamon theme).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/vertex-theme/README6
-rw-r--r--desktop/vertex-theme/slack-desc19
-rw-r--r--desktop/vertex-theme/vertex-theme.SlackBuild65
-rw-r--r--desktop/vertex-theme/vertex-theme.info10
4 files changed, 100 insertions, 0 deletions
diff --git a/desktop/vertex-theme/README b/desktop/vertex-theme/README
new file mode 100644
index 0000000000..3d59ac17fe
--- /dev/null
+++ b/desktop/vertex-theme/README
@@ -0,0 +1,6 @@
+Vertex is a theme for GTK 3, GTK 2, Gnome-Shell and Cinnamon.
+It supports GTK 3 and GTK 2 based desktop environments like Gnome,
+Cinnamon, Mate, XFCE, Budgie, Pantheon, etc.
+Themes for Chrome/Chromium and Firefox browser are included, too.
+The theme comes with three variants to choose from: the default
+variant with dark header-bars, a light variant, and a dark variant.
diff --git a/desktop/vertex-theme/slack-desc b/desktop/vertex-theme/slack-desc
new file mode 100644
index 0000000000..a949ef7561
--- /dev/null
+++ b/desktop/vertex-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vertex-theme: vertex-theme (theme for GTK 3, GTK 2, Gnome-Shell and Cinnamon)
+vertex-theme:
+vertex-theme: Vertex is a theme for GTK 3, GTK 2, Gnome-Shell and Cinnamon.
+vertex-theme: It supports GTK 3 and GTK 2 based desktop environments like Gnome,
+vertex-theme: Cinnamon, Mate, XFCE, Budgie, Pantheon, etc.
+vertex-theme: Themes for Chrome/Chromium and Firefox browser are included, too.
+vertex-theme: The theme comes with three variants to choose from: the default
+vertex-theme: variant with dark header-bars, a light variant, and a dark variant.
+vertex-theme:
+vertex-theme: Homepage: https://github.com/horst3180/vertex-theme
+vertex-theme:
diff --git a/desktop/vertex-theme/vertex-theme.SlackBuild b/desktop/vertex-theme/vertex-theme.SlackBuild
new file mode 100644
index 0000000000..b3bcf7277e
--- /dev/null
+++ b/desktop/vertex-theme/vertex-theme.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for vertex-theme
+
+# Copyright 2018 Leonardo Citrolo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vertex-theme
+VERSION=${VERSION:-20170128}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh --prefix=/usr
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING HACKING.md NEWS README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/vertex-theme/vertex-theme.info b/desktop/vertex-theme/vertex-theme.info
new file mode 100644
index 0000000000..9940c366bc
--- /dev/null
+++ b/desktop/vertex-theme/vertex-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="vertex-theme"
+VERSION="20170128"
+HOMEPAGE="https://github.com/horst3180/vertex-theme"
+DOWNLOAD="https://github.com/horst3180/vertex-theme/archive/20170128/vertex-theme-20170128.tar.gz"
+MD5SUM="47b6a180620bf5da7f502d514b3c3300"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="murrine"
+MAINTAINER="Leo C."
+EMAIL="leoc@gmx.com"